oCoreoCore Docs
API Reference

D N S

List DNS configs

Returns all DNS configurations for the organization (credentials excluded).

GET
/dns-configs

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/dns-configs" \
  -H "Authorization: <token>"

OK

{
  "items": [
    {}
  ],
  "total": 0
}

Create DNS config

Creates a new DNS configuration with encrypted credentials.

POST
/dns-configs

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

DNS config request

cfAccountIdstring
cfApiTokenstring

Cloudflare.

cfZoneIdstring
namestring
ovhClientIdstring
ovhClientSecretstring
ovhEndpointstring

OVH.

providerstring
smtpEncryptionstring
smtpFromDomainstring
smtpHoststring

SMTP relay.

smtpPassstring
smtpPortinteger
smtpUserstring
vercelApiTokenstring

Vercel.

vercelTeamIdstring
curl -X POST "//api.ocore.dev/api/dns-configs" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cfAccountId": "string",
    "cfApiToken": "string",
    "cfZoneId": "string",
    "name": "string",
    "ovhClientId": "string",
    "ovhClientSecret": "string",
    "ovhEndpoint": "string",
    "provider": "string",
    "smtpEncryption": "string",
    "smtpFromDomain": "string",
    "smtpHost": "string",
    "smtpPass": "string",
    "smtpPort": 0,
    "smtpUser": "string",
    "vercelApiToken": "string",
    "vercelTeamId": "string"
  }'

Created

{}

Get DNS config

Returns a single DNS configuration (credentials excluded).

GET
/dns-configs/{id}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

DNS config ID

curl -X GET "//api.ocore.dev/api/dns-configs/<string>" \
  -H "Authorization: <token>"

OK

{}

Delete DNS config

Deletes a DNS configuration.

DELETE
/dns-configs/{id}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

DNS config ID

curl -X DELETE "//api.ocore.dev/api/dns-configs/<string>" \
  -H "Authorization: <token>"

No Content

Update DNS config

Updates a DNS configuration, re-encrypting any new credentials.

PUT
/dns-configs/{id}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

DNS config update

cfAccountIdstring
cfApiTokenstring

Cloudflare.

cfZoneIdstring
namestring
ovhClientIdstring
ovhClientSecretstring
ovhEndpointstring

OVH.

smtpEncryptionstring
smtpFromDomainstring
smtpHoststring

SMTP relay.

smtpPassstring
smtpPortinteger
smtpUserstring
vercelApiTokenstring

Vercel.

vercelTeamIdstring

Path Parameters

idRequiredstring

DNS config ID

curl -X PUT "//api.ocore.dev/api/dns-configs/<string>" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "cfAccountId": "string",
    "cfApiToken": "string",
    "cfZoneId": "string",
    "name": "string",
    "ovhClientId": "string",
    "ovhClientSecret": "string",
    "ovhEndpoint": "string",
    "smtpEncryption": "string",
    "smtpFromDomain": "string",
    "smtpHost": "string",
    "smtpPass": "string",
    "smtpPort": 0,
    "smtpUser": "string",
    "vercelApiToken": "string",
    "vercelTeamId": "string"
  }'

OK

{}

Set default DNS config

Sets the specified DNS configuration as the default for the organization.

POST
/dns-configs/{id}/default

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

DNS config ID

curl -X POST "//api.ocore.dev/api/dns-configs/<string>/default" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Test DNS config credentials

Tests DNS provider credentials by attempting a harmless API call.

POST
/dns-configs/{id}/test

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

DNS config ID

curl -X POST "//api.ocore.dev/api/dns-configs/<string>/test" \
  -H "Authorization: <token>"

OK

{
  "provider": "string",
  "status": "string"
}

Get email configuration

Returns the SMTP configuration from the default DNS config (no credentials exposed).

GET
/email-config

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/email-config" \
  -H "Authorization: <token>"

OK

{
  "smtpConfigured": true,
  "smtpEncryption": "string",
  "smtpFromDomain": "string",
  "smtpHost": "string",
  "smtpPort": 0
}

Was this page helpful?